Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
Dictionary Class Reference

`#include <consoleDictionary.h>`

## Classes
struct | Entry

## Public Member Functions
| Dictionary ()
| Dictionary (ExprEvalState *state, Dictionary *ref=NULL)
| ~Dictionary ()
Entry * | lookup (StringTableEntry name)
Entry * | add (StringTableEntry name)
void | setState (ExprEvalState *state, Dictionary *ref=NULL)
void | remove (Entry *)
void | reset ()
void | exportVariables (const char *varString, const char *fileName, bool append)
void | deleteVariables (const char *varString)
void | setVariable (StringTableEntry name, const char *value)
const char * | getVariable (StringTableEntry name, bool *valid=NULL)
void | addVariable (const char *name, S32 type, void *dataPtr)
bool | removeVariable (StringTableEntry name)
const char * | tabComplete (const char *prevText, S32 baseLen, bool)

## Public Attributes
StringTableEntry | scopeName
Namespace * | scopeNamespace
CodeBlock * | code
U32 | ip

## Constructor & Destructor Documentation

Dictionary | ( |  | ) |

Dictionary | ( | ExprEvalState * | state,
|  | Dictionary * | ref = `NULL`
| ) |  |

~Dictionary | ( |  | ) |

## Member Function Documentation

Dictionary::Entry * add | ( | StringTableEntry | name | ) |

void addVariable | ( | const char * | name,
|  | S32 | type,
|  | void * | dataPtr
| ) |  |

void deleteVariables | ( | const char * | varString | ) |

void exportVariables | ( | const char * | varString,
|  | const char * | fileName,
|  | bool | append
| ) |  |

const char * getVariable | ( | StringTableEntry | name,
|  | bool * | valid = `NULL`
| ) |  |

Dictionary::Entry * lookup | ( | StringTableEntry | name | ) |

void remove | ( | Dictionary::Entry * | ent | ) |

bool removeVariable | ( | StringTableEntry | name | ) |

void reset | ( |  | ) |

void setState | ( | ExprEvalState * | state,
|  | Dictionary * | ref = `NULL`
| ) |  |

void setVariable | ( | StringTableEntry | name,
|  | const char * | value
| ) |  |

const char * tabComplete | ( | const char * | prevText,
|  | S32 | baseLen,
|  | bool | fForward
| ) |  |

Return the best tab completion for prevText, with the length of the pre-tab string in baseLen.

## Member Data Documentation

CodeBlock* code

U32 ip

StringTableEntry scopeName

Namespace* scopeNamespace

The documentation for this class was generated from the following files:

- console/consoleDictionary.h
- console/consoleDictionary.cc